Package com.stardog.stark.io.jsonld

# Class JSONLDOptions

java.lang.Object
com.stardog.stark.io.jsonld.JSONLDOptions

public final class JSONLDOptions extends Object

Since:
  1.0
Version:
  1.0
Author:
  Peter Ansell, Michael Grove
See Also:
  - JSONLD Data Structures

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Option<Boolean>`
  `COMPACT_ARRAYS`
  Deprecated.
  This option is not used anymore
  `static final Option<JSONLDMode>`
  `JSONLD_MODE`
  Deprecated.
  This option is not used anymore
  `static final Option<Boolean>`
  `OPTIMIZE`
  Deprecated.
  This option is not used anymore
  `static final Option<Boolean>`
  `USE_NATIVE_TYPES`
  If set to true, the JSON-LD processor will try to convert typed values to JSON native types instead of using the expanded object form when converting from RDF.
  `static final Option<Boolean>`
  `USE_RDF_TYPE`
  If set to true, the JSON-LD processor will use the expanded rdf:type IRI as the property instead of @type when converting from RDF.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSONLDOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPACT_ARRAYS

    @Deprecated public static final Option<Boolean> COMPACT_ARRAYS
    Deprecated.
    This option is not used anymore
    If set to true, the JSON-LD processor replaces arrays with just one element with that element during compaction. If set to false, all arrays will remain arrays even if they have just one element.

    Defaults to `true`.

    See Also:
      - JSONLD Data Structures

  - ### OPTIMIZE

    @Deprecated public static final Option<Boolean> OPTIMIZE
    Deprecated.
    This option is not used anymore
    If set to true, the JSON-LD processor is allowed to optimize the output of the Compaction algorithm to produce even compacter representations.

    Defaults to `false`.

    See Also:
      - JSONLD Data Structures

  - ### USE_NATIVE_TYPES

    public static final Option<Boolean> USE_NATIVE_TYPES
    If set to true, the JSON-LD processor will try to convert typed values to JSON native types instead of using the expanded object form when converting from RDF. xsd:boolean values will be converted to true or false. xsd:integer and xsd:double values will be converted to JSON numbers.

    Defaults to `false` for RDF compatibility.

    See Also:
      - JSONLD Data Structures

  - ### USE_RDF_TYPE

    public static final Option<Boolean> USE_RDF_TYPE
    If set to true, the JSON-LD processor will use the expanded rdf:type IRI as the property instead of @type when converting from RDF.

    Defaults to `false`.

    See Also:
      - JSONLD Data Structures

  - ### JSONLD_MODE

    @Deprecated public static final Option<JSONLDMode> JSONLD_MODE
    Deprecated.
    This option is not used anymore
    The `JSONLDMode` that the writer will use to reorganise the JSONLD document after it is created.

    See Also:
      - JSONLD Features

- ## Constructor Details

  - ### JSONLDOptions

    public JSONLDOptions()